javax.persistence

## Annotation Type Temporal

    @Target(value={METHOD,FIELD})
     @Retention(value=RUNTIME)
    public @interface Temporal

This annotation must be specified for persistent fields or properties of type `java.util.Date` and `java.util.Calendar`. It may only be specified for fields or properties of these types.

The `Temporal` annotation may be used in conjunction with the `Basic` annotation, the `Id` annotation, or the `ElementCollection` annotation (when the element collection value is of such a temporal type.

         Example:

         @Temporal(DATE)
         protected java.util.Date endDate;

Since:
  Java Persistence 1.0

### Required Element Summary

Required Elements
`TemporalType` `value` The type used in mapping `java.util.Date` or `java.util.Calendar`.

### Element Detail

#### value

    public abstract TemporalType value

The type used in mapping `java.util.Date` or `java.util.Calendar`.